Get an export job
get
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/exportJob/{id}
Returns the export job that matches the specified ID, including its current status and details.
Request
Path Parameters
-
id(required): string
The ID of the resource item.
Query Parameters
-
fields: string
The comma-separated field names that are returned in the response. The field names are the names that you specify when you create or retrieve a resource.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The export job was returned successfully.
Nested Schema : ExportJob
Type:
objectTitle:
ExportJobDiscriminator: @type
Discriminator Values
The task that exports resources to a file.
Show Source
-
@baseType: string
The base type of the export job.
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships.
-
@type(required): string
The class type of the export job.
-
completionDate: string
(date-time)
The date and time when the export job completed.
-
contentType: string
The content type of the exported file.
-
creationDate: string
(date-time)
The date and time when the export job was created.
-
errorLog: string
The error log containing the failure reason for the export job.
-
href: string
The hyperlink reference to the export job.
-
id: integer
(int64)
The ID of the export job.
-
path: string
The path of the root resource used as the source for the export job.
-
query: string
Scopes the exported data.
-
status: string
Allowed Values:
[ "NOT_STARTED", "RUNNING", "SUCCEEDED", "FAILED", "COMPLETED", "ERROR", "BLOCKED", "READY", "CANCELLED", "CANCELLING" ]The status of the export job. -
url: string
The URL of the file that contains the exported data.
Nested Schema : type
Type:
Show Source
object-
createdBy: string
The name of the user who submitted the export job.
-
errorLogUrl: string
The URL of the error log.
-
exportOptions(required): object
ExportOptionsOracle
Title:
ExportOptionsOracleThe task that exports resources to a file. -
exportSummary: object
exportSummary
The summary of the export job.
Nested Schema : ExportOptionsOracle
Type:
objectTitle:
ExportOptionsOracleThe task that exports resources to a file.
Show Source
-
@baseType: string
The base type of the export option.
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships.
-
@type: string
The class type of the export option.
-
exportReferenced: boolean
Whether the export option has export referenced.
-
fileFormat: string
Allowed Values:
[ "CSV", "JSON" ]The file format associated with the export options. Valid values are CSV, and JSON. -
filenamePrefix: string
Maximum Length:
200The user defined optional file name prefix. -
filter: array
filter
A list of filters associated with the export option.
-
id: string
For a given resource type, this is the ID of the resource.
-
lastUpdate: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party. -
lifecycleStatus: string
The status of the export option.
-
name: string
For a given resource type, this is the name of the resource.
-
notificationUsers: array
notificationUsers
A list of notification users associated with the export option.
-
project: object
project
The project associated with the export options.
-
resourceType: array
resourceType
A list of resource types associated with the export option.
-
scheduleJob: object
ScheduleJobOracle
The schedule job resource.
Nested Schema : exportSummary
Type:
objectThe summary of the export job.
Show Source
-
id: integer
(int64)
The ID of the export job.
-
message: string
Optional text that provides more details about the export summary.
-
resources: array
resources
A list of resources included in the export summary.
-
totalExportObjects: integer
The total number of exported objects.
Nested Schema : filter
Type:
arrayA list of filters associated with the export option.
Show Source
-
Array of:
object ExportFilterOracle
Title:
ExportFilterOracleThe export filter resource.
Nested Schema : TimePeriodOracle
Type:
objectTitle:
TimePeriodOracleThe validity period of the related party.
Show Source
-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
Nested Schema : notificationUsers
Type:
arrayA list of notification users associated with the export option.
Show Source
Nested Schema : project
Type:
objectThe project associated with the export options.
Show Source
-
id: string
The ID of the export option.
-
name: string
The name of the export option.
Nested Schema : resourceType
Type:
arrayA list of resource types associated with the export option.
Show Source
-
Array of:
string
Allowed Values:
[ "productRule", "package", "commercial_bundle", "service_bundle", "service", "device", "accessory", "productOffering", "productOfferingPrice", "priceplan", "productLine", "promotion", "policyRule", "pricingLogicAlgorithmSpecification", "balanceElement", "productSpecification", "serviceSpecification", "usageSpecification", "customerProfileSpecification", "pricelist", "customProfileSpecification", "taxServiceProvider", "catalog", "category", "entitlement", "priceTag" ]
Nested Schema : ScheduleJobOracle
Type:
objectThe schedule job resource.
Show Source
-
description: string
Indicates the description for the schedule.
-
endDateTime(required): string
(date-time)
The date and time when the schedule job ends.
-
name: string
The name of the schedule job.
-
recurrenceFields(required): object
recurrenceFields
The recurrence fields associated with the schedule job.
-
startDateTime(required): string
(date-time)
The date and time when the schedule job starts.
Nested Schema : ExportFilterOracle
Type:
objectTitle:
ExportFilterOracleThe export filter resource.
Show Source
-
field(required): string
The field or attribute name of the resource filter.
-
value(required): string
The value assigned to the export filter.
Nested Schema : recurrenceFields
Type:
objectThe recurrence fields associated with the schedule job.
Show Source
-
dayOfMonth: array
dayOfMonth
A list of day of months associated with the schedule job.
-
dayOfWeek: array
dayOfWeek
A list of day of weeks associated with the schedule job.
-
frequency(required): string
Allowed Values:
[ "ONCE", "HOURLY", "MINUTELY", "DAILY", "WEEKLY", "MONTHLY", "YEARLY" ]The frequency of the scheduled job. Valid values are ONCE, HOURLY, MINUTELY, DAILY, WEEKLY, MONTHLY, and YEARLY. -
hourInterval: integer
The hour duration between subsequent runs of scheduled job.
-
interval: integer
The duration between subsequent runs of scheduled job.
-
minuteInterval: integer
The minute duration between subsequent runs of scheduled job.
-
monthOfyear: array
monthOfyear
A list of month ofyears associated with the schedule job.
-
timeOfDay: object
timeOfDay
Indicates the time of day for schedule job recurrence.
-
weekOfMonth: array
weekOfMonth
A list of week of months associated with the schedule job.
-
year: integer
The year associated with the schedule job.
Nested Schema : dayOfMonth
Type:
arrayA list of day of months associated with the schedule job.
Show Source
-
Array of:
string
Indicates the day of month for schedule job recurrence.
Nested Schema : dayOfWeek
Type:
arrayA list of day of weeks associated with the schedule job.
Show Source
-
Array of:
string
Allowed Values:
[ "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ]Indicates the day of week for schedule job recurrence. Valid values are MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, and SUNDAY.
Nested Schema : monthOfyear
Type:
arrayA list of month ofyears associated with the schedule job.
Show Source
-
Array of:
string
Allowed Values:
[ "JANUARY", "FEBRUARY", "MARCH", "APRIL", "MAY", "JUNE", "JULY", "AUGUST", "SEPTEMBER", "OCTOBER", "NOVEMBER", "DECEMBER" ]Indicates the month of year for schedule job recurrence. Valid values are JANUARY, FEBRUARY, MARCH, APRIL, MAY, JUNE, JULY, AUGUST, SEPTEMBER, OCTOBER, NOVEMBER, and DECEMBER.
Nested Schema : timeOfDay
Type:
objectIndicates the time of day for schedule job recurrence.
Show Source
-
hour: integer
Minimum Value:
0Maximum Value:23The hour associated with the schedule job. -
minute: integer
Minimum Value:
0Maximum Value:59The minute associated with the schedule job. -
second: integer
Minimum Value:
0Maximum Value:59The second associated with the schedule job.
Nested Schema : weekOfMonth
Type:
arrayA list of week of months associated with the schedule job.
Show Source
-
Array of:
string
Allowed Values:
[ "FIRST", "SECOND", "THIRD", "FOURTH", "FIFTH", "LAST" ]Indicates the week of month for schedule job recurrence. Valid values are FIRST, SECOND, THIRD, FOURTH, FIFTH, and LAST.
Nested Schema : resources
Type:
arrayA list of resources included in the export summary.
Show Source
-
Array of:
object ExportSummaryResource
Title:
ExportSummaryResourceThe object that contains exported resource details, such as name and count.
Nested Schema : ExportSummaryResource
Type:
objectTitle:
ExportSummaryResourceThe object that contains exported resource details, such as name and count.
Show Source
-
count: integer
Indicates the number of resource exported.
-
name: string
The name of the export summary resource.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
501 Response
The server doesn't support the functionality required to fulfill the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to retrieve an export job by submitting a get request on the REST resource using cURL.
curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/exportJob/{JobId}
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"id": 129942,
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/exportJob/129942",
"status": "COMPLETED",
"creationDate": "2025-02-19 16:24:34.729",
"@type": "ExportJobOracle",
"exportOptions": {
"filenamePrefix": "FileExport001",
"lifecycleStatus": "In design",
"exportReferenced": false,
"resourceType": [
"package",
"commercial_bundle",
"service_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"pricingLogicAlgorithmSpecification",
"policy",
"productSpecification"
]
},
"contentType": "application/json"
}Example of Response Body (Get Export Job by ID For Scheduled Export)
The following example shows the contents of the response body in JSON format.
{
"id": 732687,
"@type": "ExportJobOracle",
"href": "https://cptcabnqy.fusionapps.ocs.oc-test.com/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/exportJob/732687",
"status": "FINISHED",
"creationDate": "2026-04-22 11:44:00.5",
"completionDate": "2026-04-23 06:08:45.741",
"exportOptions": {
"notificationUsers": "[]",
"filenamePrefix": "ServiceSpecification0422202617135810005",
"filter": "[]",
"scheduleJob": {
"startDateTime": "2026-04-23T07:07:58+01:00",
"endDateTime": "2026-06-17T00:00:00+01:00",
"recurrenceFields": {
"frequency": "MONTHLY",
"interval": 2,
"weekOfMonth": [],
"dayOfWeek": []
}
},
"exportReferenced": false,
"resourceType": [
"serviceSpecification"
],
"fileFormat": "json"
},
"contentType": "application/json",
"createdBy": "booth",
"path": "serviceSpecification",
"scheduleRunInfo": {
"isScheduleParent": true
}
}